Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.list
Class RtfListItem

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfPhrase
              com.lowagie.text.rtf.text.RtfParagraph
                  com.lowagie.text.rtf.list.RtfListItem

All Implemented Interfaces:
  RtfBasicElement

    public class RtfListItem

extends RtfParagraph

The RtfListItem acts as a wrapper for a ListItem.

Version:
  $Id: RtfListItem.java 2996 2007-11-20 22:40:36Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`private boolean` | `containsInnerList` Whether this RtfListItem contains further RtfLists.
`private RtfList` | `parentList` The RtfList this RtfListItem belongs to.

Fields inherited from class com.lowagie.text.rtf.text.RtfParagraph
`PARAGRAPH, paragraphStyle`

Fields inherited from class com.lowagie.text.rtf.text.RtfPhrase
`chunks, IN_TABLE, LINE_SPACING, PARAGRAPH_DEFAULTS, PLAIN`

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfListItem(RtfDocument doc, ListItem listItem)` Constructs a RtfListItem for a ListItem belonging to a RtfDocument.

Method Summary
`protected void` | `correctIndentation()` Correct the indentation of RtfLists in this RtfListItem by adding left/first line indentation from the parent RtfList.
`void` | `inheritListSettings(int listNumber, int listLevel)` Inherit the list settings from the parent list to RtfLists that are contained in this RtfListItem.
`boolean` | `isContainsInnerList()` Gets whether this RtfListItem contains further RtfLists.
`void` | `setParent(RtfList parentList)` Set the parent RtfList.
`byte[]` | `write()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeContent(OutputStream result)` Writes the content of this RtfListItem.
`byte[]` | `writeDefinition()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeDefinition(OutputStream)`, scheduled for removal at or after 2.1.0
`boolean` | `writeDefinition(OutputStream out)` Writes the definition of the first element in this RtfListItem that is an instanceof `RtfList` to the given stream.

Methods inherited from class com.lowagie.text.rtf.text.RtfParagraph
`getIndentLeft, getIndentRight, setIndentLeft, setIndentRight, setKeepTogetherWithNext`

Methods inherited from class com.lowagie.text.rtf.text.RtfPhrase
`setInHeader, setInTable, setRtfDocument`

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentList

    private RtfList parentList

  The RtfList this RtfListItem belongs to.

### containsInnerList

    private boolean containsInnerList

  Whether this RtfListItem contains further RtfLists.

Constructor Detail

### RtfListItem

    public RtfListItem(RtfDocument doc,
                       ListItem listItem)

  Constructs a RtfListItem for a ListItem belonging to a RtfDocument.

  Parameters:
    `doc` - The RtfDocument this RtfListItem belongs to.
    `listItem` - The ListItem this RtfListItem is based on.

Method Detail

### write

    public byte[] write()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0

  Writes the content of this RtfListItem.

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfParagraph`
  Returns:
    A byte array with the content of this RtfListItem.

### writeContent

    public void writeContent(OutputStream result)
                      throws IOException

  Writes the content of this RtfListItem.

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Overrides:
    `writeContent` in class `RtfParagraph`
  Throws:
    `IOException`

### writeDefinition

    public byte[] writeDefinition()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeDefinition(OutputStream)`, scheduled for removal at or after 2.1.0

  Returns the definition of the first list contained in this RtfListItem or an empty byte array if no inner RtfLists exist.

  Returns:
    The definition of the first inner RtfList or an empty byte array.

### writeDefinition

    public boolean writeDefinition(OutputStream out)
                            throws IOException

  Writes the definition of the first element in this RtfListItem that is an instanceof `RtfList` to the given stream.
  If this item does not contain a `RtfList` element nothing is written and the method returns `false`.

  Parameters:
    `out` - destination stream
  Returns:
    `true` if a RtfList definition was written, `false` otherwise
  Throws:
    `IOException`

### inheritListSettings

    public void inheritListSettings(int listNumber,
                                    int listLevel)

  Inherit the list settings from the parent list to RtfLists that are contained in this RtfListItem.

  Parameters:
    `listNumber` - The list number to inherit.
    `listLevel` - The list level to inherit.

### correctIndentation

    protected void correctIndentation()

  Correct the indentation of RtfLists in this RtfListItem by adding left/first line indentation from the parent RtfList. Also calls correctIndentation on all child RtfLists.

### setParent

    public void setParent(RtfList parentList)

  Set the parent RtfList.

  Parameters:
    `parentList` - The parent RtfList to use.

### isContainsInnerList

    public boolean isContainsInnerList()

  Gets whether this RtfListItem contains further RtfLists.

  Returns:
    Whether this RtfListItem contains further RtfLists.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD